Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.objects.tree
Class TreeImpl

    java.lang.Object
      com.ejie.r01f.objects.tree.TreeImpl

All Implemented Interfaces:
  java.io.Serializable

public class TreeImpl
extends java.lang.Object
implements java.io.Serializable

Clase que modela un árbol. Fecha de creación: (17/7/00 10:01:33)

See Also:
  Serialized Form

Constructor Summary
`TreeImpl()` Constructor de Tree.
`TreeImpl(java.lang.Object data)` Constructor de Tree.
`TreeImpl(java.lang.Object data, int nivelRaiz)` Constructor de Tree.

Method Summary
`TreeNode` | `createNode()` Crea un nuevo nodo para ser añadido a la estructura del árbol.
`TreeNode` | `createNode(java.lang.Object datos)` Crea un nuevo nodo para ser añadido a la estructura del árbol.
`TreeNode` | `getRootNode()` Devuelve el nodo raíz del árbol.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeImpl

    public TreeImpl()

  Constructor de Tree.

### TreeImpl

    public TreeImpl(java.lang.Object data)

  Constructor de Tree.

### TreeImpl

    public TreeImpl(java.lang.Object data,
                    int nivelRaiz)

  Constructor de Tree.

Method Detail

### createNode

    public TreeNode createNode()

  Crea un nuevo nodo para ser añadido a la estructura del árbol.

  Returns:
    el objeto `TreeNode` recien creado

### createNode

    public TreeNode createNode(java.lang.Object datos)

  Crea un nuevo nodo para ser añadido a la estructura del árbol.

  Parameters:
    `datos` - El objeto (datos) que contiene el nodo
  Returns:
    un objeto `TreeNode` con el nodo recien creado

### getRootNode

    public TreeNode getRootNode()

  Devuelve el nodo raíz del árbol.

  Returns:
    un objeto `TreeNode` con el nodo raiz

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD